Subject: Form to configure FvwmWinList

From: Alex Wallis <[email-masked]>
Date: Wed, 8 Dec 1999 19:08:18 +1030

Some people might even think this form's a bit silly.
But it does clearly demonstrate Dan's new innovative changes
to FvwmForm. Thanks Dan, you're a clever man!     :)

FormFvwmWinList. allows the user to change command
line parameters as specified in "man FvwmWinList". To save
space only colorset options are used, so to change individual
colors (fg bg etc), the colorsets must be edited. (use FormFvwmTheme.)
The users chosen preferences are saved to a ConfigFvwmWinList file to 
be read at Init & Restart etc. Once the form has been saved, the user
can then "Test" this configuration, and change it if necessary.
To keep it "simple" all options have the same names as the command
line minus the *FvwmWinList prefix. Refer "man FvwmWinList" for syntax.
If an options is not selected a blank line is produced in the ConfigFvwmWinList
file.
It seems to work for me ok, so I hope it works as well for you.
Let me know if it does or doesn't.

Alex

P.S. You need to have the CVS or wait till the next snapshot for this to work.